commit: 538623ac089219e079d51e14fd8ac18d20285d2f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 23 20:00:17 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 23 20:18:06 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=538623ac
dev-python/fixtures: Bump to 4.3.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/fixtures/Manifest | 1 +
dev-python/fixtures/fixtures-4.3.1.ebuild | 30 ++++++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-python/fixtures/Manifest b/dev-python/fixtures/Manifest
index 85af2000d52c..a8ac05770209 100644
--- a/dev-python/fixtures/Manifest
+++ b/dev-python/fixtures/Manifest
@@ -1,2 +1,3 @@
DIST fixtures-4.2.8.tar.gz 46738 BLAKE2B
22f8265e7da782acbc867256392599fd92992bdd86df273eeda1816cd97b50e674858fca8ffc813afe1e38ba48ed7e28f1881dea13d80d325ae175a6b76b89d2
SHA512
c2844764ba493301c5d14e7f31a65cca371a7d3134277eb6aad49ad3c6e42848f6dbdad31837652ef27dfcbe19a03890f8fa6dcfc8e877460eae6083de278227
DIST fixtures-4.3.0.tar.gz 46637 BLAKE2B
cba4cd915cdad5d97ae7327afa932a3625abde1f18504f19c65db313a83334caf92a4d712629a95273f2ebd15291514aa87e88e5a8e202330143ff52537230e6
SHA512
e22aef9c86c90d0d0e0bc96fa241faf8b7673251a31aacd14cbfc66a4e410e6f9b260f408eaa11280af3b8e8e19e80a373f6bede57347f46614fee66385f11f3
+DIST fixtures-4.3.1.tar.gz 46858 BLAKE2B
0ef50a71b9a2d0fe77ed352a80ed357b4fe92ff70b39a408287368bbfbd7d3d4701c311fc4c132d46027472ae49c6cb8462f88229b81a42b9566dd09ab5442d1
SHA512
fb45b53d09b065ea02c3d4ae87d0f010b59d8d7c79f4eebe4e15df3cdf3f18ab1f2bca31fa6d629e3fe77858f8fd74f487ba3975cb807730f11b5fe732fa663b
diff --git a/dev-python/fixtures/fixtures-4.3.1.ebuild
b/dev-python/fixtures/fixtures-4.3.1.ebuild
new file mode 100644
index 000000000000..b75fce52a3e3
--- /dev/null
+++ b/dev-python/fixtures/fixtures-4.3.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fixtures, reusable state for writing clean tests and more"
+HOMEPAGE="
+ https://github.com/testing-cabal/fixtures/
+ https://pypi.org/project/fixtures/
+"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/testtools-2.5.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest